package com.benyun.core.service.impl;

import com.benyun.core.dao.WdInfoMapper;
import com.benyun.core.entity.bo.WdAddrTypeDistribution;
import com.benyun.core.service.WdInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WdInfoServiceImpl implements WdInfoService {
    @Autowired
    WdInfoMapper wdInfoMapper;

    @Override
    public List<WdAddrTypeDistribution> searchAddrTypeDistribution(List<String> addrCodes, List<String> typeCodes) {
        return wdInfoMapper.searchAddrDisByMulti(addrCodes, typeCodes);
    }

    @Override
    public List<WdAddrTypeDistribution> searchWdTypeDistribution(List<String> addrCodes, List<String> typeCodes) {
        return wdInfoMapper.searchWdTypeDisByMulti(addrCodes,typeCodes);
    }

    @Override
    public List<WdAddrTypeDistribution> searchWdTotal() {
        return wdInfoMapper.searchWdTotal();
    }
}
